Bug 118547 - Modification to initscript
Modification to initscript
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-17 12:07 EST by Ben Lentz
Modified: 2014-08-31 19:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 16:23:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to /etc/init.d/ldap (926 bytes, patch)
2005-02-10 15:31 EST, Brent Nordquist
no flags Details | Diff

  None (edit)
Description Ben Lentz 2004-03-17 12:07:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET 
CLR 1.1.4322)

Description of problem:
It would be nice if the listening interfaces for slapd could be 
specified via a config file, ala /etc/sysconfig/ldap. 
If /etc/rc.d/init.d/ldap was modified such that:

daemon ${slapd} -u ldap -h '"ldap:/// ldaps:///"' ...etc...
 was changed to
daemon ${slapd} -u ldap -h '"ldap://$BIND/ ldaps://$BIND/"' ...etc...

Then /etc/sysconfig/ldap could contain:
BIND=""
 by default. Then, if an admin wanted to adjust the listening 
interfaces, they would simply modify /etc/sysconfig/ldap:
BIND="66.187.233.198"

Version-Release number of selected component (if applicable):
openldap-servers-2.1.22-8

How reproducible:
Always

Steps to Reproduce:
1. N/A

Additional info:

This may sound stupid, but I think it'd be an easy thing to do and I 
know that at least *I'd* use it!
Comment 1 Ben Lentz 2004-03-17 14:12:04 EST
I've over looked the escaping effect of the single-quotes. The line 
should read:

daemon ${slapd} -u ldap -h "\"ldap://$BIND/ ldaps://$BIND/\"" -l 
daemon $OPTIONS $SLAPD_OPTIONS
Comment 2 Brent Nordquist 2005-02-10 15:29:51 EST
Attached is how I do it -- the advantage to putting the whole URL in the variable (instead of just the 
host/IP) is that you can bind to more than one. The patch also has a fix to the grep -- the slapd.conf 
keywords are case-insensitive, so it'll fail to pick up "tls*" and start the LDAPS listener(s).
Comment 3 Brent Nordquist 2005-02-10 15:31:42 EST
Created attachment 110937 [details]
patch to /etc/init.d/ldap
Comment 4 Matthew Miller 2006-07-10 17:40:30 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 John Thacker 2006-10-29 16:23:50 EST
Closing per lack of response to previous request for information.  Note that FC3
and FC4 are only supported by Fedora Legacy for security fixes.  If this is a
security issue, please assign to Fedora Legacy.  Otherwise, please retest with
FC5 or FC6, and if it still occurs, please reopen and assign to the correct
version.  Many changes have occurred since this bug was first filed and it may
be fixed in a more recent version.  We apologize for not fixing this bug
earlier.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.